# Return to the merchant 

**GET**`https://pay.example.com/pay/return/{trade_id}`

[Request example ↓](https://epusdt.com/api/endpoints/checkout-return#request-example)

A paid EPay order redirects to the merchant with signed return parameters. Other orders redirect back to checkout. Use the verified asynchronous notification for fulfilment.

## Parameters 

`trade_id` · `string` · PATH

The EPUSDT transaction ID returned when the order was created.

## Related resources 

* [Create an EPay order](https://epusdt.com/api/endpoints/epay-order)
* [Merchant callbacks](https://epusdt.com/api/payment#callbacks)

## Responses

Location`Location: /pay/checkout-counter/20260523171652123456001`

application/jsonResponse fields
* `status_code` integer  
Application result code.
* `message` string  
Human-readable result.
* `data` null  
Response payload; null on error.
* `request_id` string  
Request identifier for tracing.

application/jsonResponse fields
* `status_code` integer  
Application result code.
* `message` string  
Human-readable result.
* `data` null  
Response payload; null on error.
* `request_id` string  
Request identifier for tracing.

application/jsonResponse fields
* `status_code` integer  
Application result code.
* `message` string  
Human-readable result.
* `data` null  
Response payload; null on error.
* `request_id` string  
Request identifier for tracing.

application/jsonResponse fields
* `status_code` integer  
Application result code.
* `message` string  
Human-readable result.
* `data` null  
Response payload; null on error.
* `request_id` string  
Request identifier for tracing.

[error-codes.json ↓](https://epusdt.com/agent-setup/error-codes.json)

**Request example**

Gateway URL trade\_id 

```
curl -i -X GET \
  'https://pay.example.com/pay/return/20260523171652123456001'
```

**Example response**302 · Redirect400 · 10008 · Order not found400 · 10044 · Invalid redirect URL400 · 10045 · Order merchant key unavailable400 · 10046 · Unable to sign EPay return parameters

Location

```
Location: /pay/checkout-counter/20260523171652123456001
```
